Subject: Re: bug#63259: elpa-admin.el: Don't try to sandbox on Termux/Android

From: Philip Kaludercic <[email-masked]>
Date: Thu, 04 May 2023 20:52:33 +0000

Henrik Ahlgren <[email-masked]> writes:

> elpaa--sandbox is set to t by default on Termux, since its system-type
> is gnu/linux. However, I believe bubblewrap is only available on rooted
> devices from root-packages, so most Termux users won't have bwrap. I
> guess the same goes for the native Android port.
>
> Consider disabling sandboxing on Termux by default. Not sure what is the
> best method for detecting it, perhaps check if the TERMUX_VERSION
> environment variable exists?

In what context are you using elpa-admin.el on Termux/Android?